%global _empty_manifest_terminate_build 0
Name:		python-fastavro
Version:	1.9.5
Release:	1
Summary:	Fast read/write of AVRO files
License:	MIT
URL:		https://github.com/fastavro/fastavro
Source0:	https://files.pythonhosted.org/packages/source/f/fastavro/fastavro-%{version}.tar.gz

%description
Fast Avro for Python

%package -n python3-fastavro
Summary:	Fast read/write of AVRO files
Provides:	python-fastavro = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
%description -n python3-fastavro
The `fastavro` library was written to offer performance comparable to the Java
library. With regular CPython, `fastavro` uses C extensions which allow it to
iterate the same 10,000 record file in 1.7 seconds. With PyPy, this drops to 1.5
seconds (to be fair, the JAVA benchmark is doing some extra JSON
encoding/decoding).

%package help
Summary:	Development documents and examples for fastavro
Provides:	python3-fastavro-doc
%description help
Development documents and examples for fastavro

%prep
%autosetup -n fastavro-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-fastavro -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 08 2024 xu_ping <707078654@qq.com> - 1.9.5-1
- Update package to version 1.9.5

* Fri Sep 08 2023 xu_ping <707078654@qq.com> - 1.9.1-1
- Update package to version 1.9.1

* Tue Aug 01 2023 sunhui <sunhui@kylinos.cn> - 1.8.2-1
- Update package to version 1.8.2

* Tue Jun 06 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 1.7.4-1
- Update package to version 1.7.4

* Mon Apr 10 2023 caodongxia <caodongxia@h-partners.com> - 1.7.3-1
- Update package to version 1.7.3

* Mon Feb 27 2023 wubijie <wubijie@kylinos.cn> - 1.7.2-1
- Update package to version 1.7.2

* Fri Dec 16 2022 chendexi <chendexi@kylinos.cn> - 1.7.0-1
- Upgrade package to version 1.7.0

* Tue Oct 18 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.6.1-1
- Upgrade package to version 1.6.1

* Mon Jun 20 2022 tanyulong <tanyulong@kylinos.cn> - 1.4.5-2
- Delete unnecessary gdb from BuildRequires

* Tue Oct 26 2021 yangchenguang <yangchenguang@uniontech.com> - 1.4.5-1
- Init Package
